org.eclipse.emf.facet.util.emf.catalog

## Interface CatalogFactory

Deprecated.

    @Deprecated
    public interface CatalogFactory

The Factory for the model. It provides a create method for each non-abstract class of the model.

See Also:
  `CatalogPackage`
Generated:

### Field Summary

Fields
`static CatalogFactory` `eINSTANCE` Deprecated. The singleton instance of the factory.

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`CatalogSet` `createCatalogSet()` Deprecated. Returns a new object of class 'Set'.
`CatalogPackage` `getCatalogPackage()` Deprecated. Returns the package supported by this factory.

### Field Detail

#### eINSTANCE

    static final CatalogFactory eINSTANCE

Deprecated.
The singleton instance of the factory.

Generated:

### Method Detail

#### createCatalogSet

    CatalogSet createCatalogSet()

Deprecated.
Returns a new object of class 'Set'.

Returns:
  a new object of class 'Set'.
Generated:

#### getCatalogPackage

    CatalogPackage getCatalogPackage()

Deprecated.
Returns the package supported by this factory.

Returns:
  the package supported by this factory.
Generated: